<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.ga3w20</groupId>
    <artifactId>tomnookbooks</artifactId>
    <version>1.0.0-FINAL</version>
    <packaging>war</packaging>
    <name>tomnookbooks</name>
    
    <properties>
        <skipTests>true</skipTests>    
    </properties>
    
    <!-- Identifies the programmer or programmers who worked on the project -->
    <developers>
        <developer>
            <id>1640612</id>
            <name>Hadil A. Elhashani</name>
            <email>hadil.elhashani@dawsoncollege.qc.ca</email>
        </developer>
        <developer>
            <id>1634209</id>
            <name>Alexander Berestetskyy</name>
            <email>alexander.berestetskyy@dawsoncollege.qc.ca</email>
        </developer>
        <developer>
            <id>1612993</id>
            <name>Michael Mishin</name>
            <email>michael.mishin@dawsoncollege.qc.ca</email>
        </developer>
        <developer>
            <id>1738714</id>
            <name>Franco G. Moro</name>
            <email>franco.moro@dawsoncollege.qc.ca</email>
        </developer>
        <developer>
            <id>1731679</id>
            <name>Yongchao Li</name>
            <email>yongchao.li@dawsoncollege.qc.ca</email>
        </developer>
    </developers>
    
    <!-- All of the sample code shares the same dependencies and build         -->
    <!-- The parent project named web_project_dependencies must be loaded into -->
    <!-- the IDE and you must Run Maven with a goal of install:install         -->
    <!-- Now it can be the parent pom of all projects                          -->
    <parent>
        <groupId>com.kfwebstandard</groupId>
        <artifactId>web_project_dependencies</artifactId>
        <version>1.1</version>
    </parent>

    <build>
        <finalName>
            ga3w20 
        </finalName>
    </build>

    <!-- Dependencies are libraries that either must be included in the    -->
    <!-- jar/war file or are expected to be found in the container such as -->
    <!-- GlassFish. These are the dependencies unique to this project      -->
    <dependencies>

        <!-- Bootstrap dependencies -->
        <dependency>
            <groupId>org.webjars</groupId>
            <artifactId>bootstrap</artifactId>
            <version>3.3.7-1</version>
        </dependency>
        
        <dependency>
            <groupId>net.bootsfaces</groupId>
            <artifactId>bootsfaces</artifactId>
            <version>0.7.0</version>
        </dependency>
        
        <!-- PrimeFaces dependency -->
        <dependency>
            <groupId>org.primefaces</groupId>
            <artifactId>primefaces</artifactId>
            <version>7.0</version>
            <type>jar</type>
        </dependency>
        
        <dependency>
            <groupId>org.webjars</groupId>
            <artifactId>jquery</artifactId>
            <version>3.1.1-1</version>
        </dependency>
        <dependency>
            <groupId>org.webjars</groupId>
            <artifactId>font-awesome</artifactId>
            <version>4.7.0</version>
        </dependency>
        
        <!-- This is for the RSS feed -->
        <dependency>
            <groupId>com.rometools</groupId>
            <artifactId>rome</artifactId>
            <version>1.12.2</version>
        </dependency>
        
        <dependency>
            <groupId>org.jdom</groupId>
            <artifactId>jdom2</artifactId>
            <version>2.0.6</version>
        </dependency>
        
        <!-- Dependency for emails -->
        <dependency>
            <groupId>org.jodd</groupId>
            <artifactId>jodd-mail</artifactId>
            <version>5.1.4</version>
        </dependency>

    </dependencies>
</project>
